Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JTransforms 2.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.jtransforms.dst
Class FloatDST_2D

    java.lang.Object
      edu.emory.mathcs.jtransforms.dst.FloatDST_2D

    public class FloatDST_2D

extends Object

Computes 2D Discrete Sine Transform (DST) of single precision data. The sizes of both dimensions can be arbitrary numbers. This is a parallel implementation optimized for SMP systems.
Part of code is derived from General Purpose FFT Package written by Takuya Ooura (http://www.kurims.kyoto-u.ac.jp/~ooura/fft.html)

Author:
  Piotr Wendykier (piotr.wendykier@gmail.com)

Constructor Summary
`FloatDST_2D(int rows, int columns)` Creates new instance of FloatDST_2D.

Method Summary
`void` | `forward(float[][] a, boolean scale)` Computes 2D forward DST (DST-II) leaving the result in `a`.
`void` | `forward(float[] a, boolean scale)` Computes 2D forward DST (DST-II) leaving the result in `a`.
`void` | `inverse(float[][] a, boolean scale)` Computes 2D inverse DST (DST-III) leaving the result in `a`.
`void` | `inverse(float[] a, boolean scale)` Computes 2D inverse DST (DST-III) leaving the result in `a`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatDST_2D

    public FloatDST_2D(int rows,
                       int columns)

  Creates new instance of FloatDST_2D.

  Parameters:
    `rows` - number of rows
    `columns` - number of columns

Method Detail

### forward

    public void forward(float[] a,
                        boolean scale)

  Computes 2D forward DST (DST-II) leaving the result in `a`. The data is stored in 1D array in row-major order.

  Parameters:
    `a` - data to transform
    `scale` - if true then scaling is performed

### forward

    public void forward(float[][] a,
                        boolean scale)

  Computes 2D forward DST (DST-II) leaving the result in `a`. The data is stored in 2D array.

  Parameters:
    `a` - data to transform
    `scale` - if true then scaling is performed

### inverse

    public void inverse(float[] a,
                        boolean scale)

  Computes 2D inverse DST (DST-III) leaving the result in `a`. The data is stored in 1D array in row-major order.

  Parameters:
    `a` - data to transform
    `scale` - if true then scaling is performed

### inverse

    public void inverse(float[][] a,
                        boolean scale)

  Computes 2D inverse DST (DST-III) leaving the result in `a`. The data is stored in 2D array.

  Parameters:
    `a` - data to transform
    `scale` - if true then scaling is performed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JTransforms 2.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD